aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-01-06 15:32:27 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-01-06 15:32:39 +0000
commit3d476a3d2018dd786cc108212b67136c3e8b1237 (patch)
tree08931321f5cbf4551ba67c51a7795a7c0d5c6fcb
parenta1b32c10e45f68bf04ffcc9bf9545aa64ee3c6ad (diff)
downloadaports-3d476a3d2018dd786cc108212b67136c3e8b1237.tar.gz
aports-3d476a3d2018dd786cc108212b67136c3e8b1237.tar.bz2
aports-3d476a3d2018dd786cc108212b67136c3e8b1237.tar.xz
testing/plib: new aport
A portable game library
-rw-r--r--testing/plib/APKBUILD47
-rw-r--r--testing/plib/includes-fix.patch11
2 files changed, 58 insertions, 0 deletions
diff --git a/testing/plib/APKBUILD b/testing/plib/APKBUILD
new file mode 100644
index 0000000000..8f86ab59ee
--- /dev/null
+++ b/testing/plib/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer:
+pkgname=plib
+pkgver=1.8.5
+pkgrel=0
+pkgdesc="Portable Game Library"
+url="http://plib.sourceforge.net"
+arch="all"
+license="LGPL"
+depends=
+depends_dev=
+makedepends="$depends_dev libxi-dev libxmu-dev mesa-dev"
+install=
+subpackages=
+source="http://plib.sourceforge.net/dist/$pkgname-$pkgver.tar.gz
+ includes-fix.patch"
+builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$builddir"
+ default_prepare || return 1
+}
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="47a6fbf63668c1eed631024038b2ea90 plib-1.8.5.tar.gz
+62895ce3225fe891438d0fb311e12a7f includes-fix.patch"
+sha256sums="485b22bf6fdc0da067e34ead5e26f002b76326f6371e2ae006415dea6a380a32 plib-1.8.5.tar.gz
+cbbb21ce6bf4c298328da6a06adbb2aedf1fea0844ba72de67aec577c90d8a3f includes-fix.patch"
+sha512sums="17154cc77243fe576c2bcbcb0285b98aef1a0634658f5473e95fe0ac8fa3ed477dbe5620e44ccf0b7cc616f812af0cd44d6fcbba0c563180d3b61c9d6f158e1d plib-1.8.5.tar.gz
+a7a3f0514c698945b47cbf5242b3213df9ac9265b52268b6dfea50e51597dadf0f4e83608bc6b25d6deb22b42505162e25192de082590effbdda8f38d0860dc8 includes-fix.patch"
diff --git a/testing/plib/includes-fix.patch b/testing/plib/includes-fix.patch
new file mode 100644
index 0000000000..db930d659e
--- /dev/null
+++ b/testing/plib/includes-fix.patch
@@ -0,0 +1,11 @@
+# https://sourceforge.net/p/plib/bugs/53/
+--- a/src/ssg/ssgLoadFLT.cxx
++++ b/src/ssg/ssgLoadFLT.cxx
+@@ -103,6 +103,7 @@
+ #include <string.h>
+ #include <fcntl.h>
+ #include <stdio.h>
++#include <sys/types.h>
+ #ifdef UL_IRIX
+ # include <sys/endian.h>
+ #endif